Get customer
Returns a single owned customer.
GET
/v1/customers/{customerId}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
customerIdstringrequiredCustomer identifier.
Responses
200Customer retrieved successfully.
idstringrequirednamestringrequiredmin length 1 · max length 120
phonestringrequiredmatches ^\+?[0-9()\s-]{7,20}$
channelsstring[]requiredmin items 1
404Customer not found.
codestringrequiredmessagestringrequiredRequest
curl -X GET "https://api.hackathon.space/v1/customers/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.hackathon.space/v1/customers/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.hackathon.space/v1/customers/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "cus_123",
"name": "Jane Doe",
"phone": "+60123456789",
"channels": [
"telegram",
"twilio-sms"
]
}{
"code": "NOT_FOUND",
"message": "Resource not found."
}